/**
 * output package name
 */
package com.kingdee.eas.custom.dormitorysystem.waterelectricity;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class WaterElectricityStutas extends StringEnum
{
    public static final String LOCK_VALUE = "Lock";//alias=Ëø¶¨
    public static final String UNLOCK_VALUE = "UnLock";//alias=Î´Ëø¶¨

    public static final WaterElectricityStutas Lock = new WaterElectricityStutas("Lock", LOCK_VALUE);
    public static final WaterElectricityStutas UnLock = new WaterElectricityStutas("UnLock", UNLOCK_VALUE);

    /**
     * construct function
     * @param String waterElectricityStutas
     */
    private WaterElectricityStutas(String name, String waterElectricityStutas)
    {
        super(name, waterElectricityStutas);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static WaterElectricityStutas getEnum(String waterElectricityStutas)
    {
        return (WaterElectricityStutas)getEnum(WaterElectricityStutas.class, waterElectricityStutas);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(WaterElectricityStutas.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(WaterElectricityStutas.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(WaterElectricityStutas.class);
    }
}